Subject: Re: [PATCH] Make 'remote show' distinguish between merged and rebased remote branches

From: Marc Branchaud <[email-masked]>
Date: Wed, 11 Feb 2009 11:59:20 -0500

Jay Soffian wrote:
> 
> The output of git remote show seems much too verbose for the
> information it provides.

I agree.

I'm happy to hammer out and implement new output for 'remote show', but is there any chance that such a change would be accepted?

Junio, Dscho, (others) -- any opposition to this?

> Something like this, I think, provides the
> same information in much less space:
> 
> * remote origin
>   URL: git://git.kernel.org/pub/scm/git/git.git
>   Remote branches:
>     html      Not tracked
>     maint     Tracked
>     man       Tracked
>     master    Tracked
>     next      Tracked
>     pu        Tracked
>     todo      Not tracked
>     old-next  Stale (would prune)
>   Local branches configured to pull from this remote:
>     master           upstream is master (merges)
>     wip/remote-HEAD  upstream is next   (rebases)

How about something a bit tighter, merging the local branch list with the remote branch list:

* remote origin
  URL: git://git.kernel.org/pub/scm/git/git.git
  Remote branches:
    html      Not tracked
    master    Tracked by local branches:
                master (merges)
                mywork (rebases)
    next      Tracked by local branch:
                wip/remote-HEAD (rebases)
    pu        Tracked by local branch:
                pu (merges)
    todo      Not tracked
    old-next  Stale (would prune)

?

		M.